Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 456062 - AssertionError with package-cleanup --leaves
Summary: AssertionError with package-cleanup --leaves
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: yum-utils
Version: 8
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Seth Vidal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-21 10:33 UTC by John Smith
Modified: 2008-09-10 07:05 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-07-21 21:05:21 UTC


Attachments (Terms of Use)

Description John Smith 2008-07-21 10:33:56 UTC
Description of problem:
the command "package-cleanup --leaves" fails with AssertionError

Version-Release number of selected component (if applicable):
yum-utils-1.1.14-4.fc8

How reproducible:
always reproducible on my system

Steps to Reproduce:
type: package-cleanup --leaves --exclude-devel
(also fails without --exclude-devel)
  
Actual results:
Setting up yum
Traceback (most recent call last):
  File "/usr/bin/package-cleanup", line 449, in <module>
    main()
  File "/usr/bin/package-cleanup", line 422, in main
    opts.exclude_devel, opts.exclude_bin)
  File "/usr/bin/package-cleanup", line 235, in listLeaves
    exclude_bin):
  File "/usr/bin/package-cleanup", line 214, in _shouldShowLeaf
    assert len(pos) == 1
AssertionError

Additional info:
"package-cleanup --problems" works fine and says "No problems found".
I have also tried "yum clean all" before running package-cleanup.

Comment 1 seth vidal 2008-07-21 12:54:52 UTC
what version of yum are you using here?

Comment 2 John Smith 2008-07-21 13:04:13 UTC
using yum-3.2.8-2.fc8

Comment 3 John Smith 2008-07-21 21:00:44 UTC
I just realized package-cleanup is python.  After adding a suitable print
command, I found that "package-cleanup --leaves" fails when it encounters
gpg-pubkey.  More precisely, at the point where it fails, the variable pkg
contains:

pkg[0]: gpg-pubkey
pkg[1]: None
pkg[2]: 0
pkg[3]: a109b1ec
pkg[4]: 3f6e28d5

Just in case this might help.

Comment 4 seth vidal 2008-07-21 21:05:21 UTC
Yes, this does help. In later versions of yum we've excluded those packages from
look ups like this. I can make sure that package-cleanup steps around this in
the meantime and if/when we release an update for yum for F8 it will be fixed
there, too.



Comment 5 Fedora Update System 2008-08-07 14:00:07 UTC
yum-utils-1.1.15-1.fc9 has been submitted as an update for Fedora 9

Comment 6 Fedora Update System 2008-08-07 14:05:52 UTC
yum-utils-1.1.15-1.fc8 has been submitted as an update for Fedora 8

Comment 7 Fedora Update System 2008-09-10 06:47:29 UTC
yum-utils-1.1.15-1.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2008-09-10 07:05:04 UTC
yum-utils-1.1.15-1.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.